Summary:	IP addresses grep
Name:		grepcidr
Version:	2.0
Release:	1
License:	GPL v2
Group:		Applications/Text
Source0:	http://www.pc-tools.net/files/unix/%{name}-%{version}.tar.gz
# Source0-md5:	228b0665d02c7767027245f9f608b4cb
URL:		http://www.pc-tools.net/unix/grepcidr/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Filter IP addresses matching IPv4 CIDR/network specification.

%prep
%setup -q

%build
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_mandir}/man1/*.1*
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/%{name}
%changelog
* Mon Jul 10 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grepcidr.git;a=log;h=master

* Mon Jun 19 2017 Patryk Szczygłowski <patryk@patryk.net> 2f75ae1
- version 2.0

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 7d528bb
- %install should begin with rm -rf $RPM_BUILD_ROOT; unified %install a little

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 445fcd5
- unified or fixed %clean section

* Mon Nov 02 2009 Tomasz Pala <gotar@pld-linux.org> b06236d
- added contributed patches

* Mon Nov 02 2009 Tomasz Pala <gotar@pld-linux.org> d4cf025
- from http://www.pc-tools.net/unix/grepcidr/contrib-tarreau/ altered not
  to conflict with regex.diff

* Mon Nov 02 2009 Tomasz Pala <gotar@pld-linux.org> a3ad84c
- from http://www.pc-tools.net/unix/grepcidr/contrib-makey/

* Mon Nov 02 2009 Tomasz Pala <gotar@pld-linux.org> 352aecd
- initial PLD release

